HtmlToolBar (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlToolBar class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlToolBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIToolBar
                  org.richfaces.component.html.HtmlToolBar

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlToolBar

extends UIToolBar

Component-Type org.richfaces.ToolBar Component-Family org.richfaces.ToolBar Renderer-Type org.richfaces.ToolBarRenderer A horizontal bar with Action items on it that accepts any JSF components as children.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlToolBar()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getContentClass()` A CSS style is to be applied to each element of tool bar content.
`java.lang.String` | `getContentStyle()` A CSS style is to be applied to each element of tool bar content.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeight()` A height of a bar in pixels.
`java.lang.String` | `getItemSeparator()` A separator between items on a bar.
`java.lang.String` | `getSeparatorClass()` A CSS class to be applied to tool bar separators.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getWidth()` A width of a bar that can be defined in pixels or as percentage.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentClass(java.lang.String __contentClass)` A CSS style is to be applied to each element of tool bar content.
`void` | `setContentStyle(java.lang.String __contentStyle)` A CSS style is to be applied to each element of tool bar content.
`void` | `setHeight(java.lang.String __height)` A height of a bar in pixels.
`void` | `setItemSeparator(java.lang.String __itemSeparator)` A separator between items on a bar.
`void` | `setSeparatorClass(java.lang.String __separatorClass)` A CSS class to be applied to tool bar separators.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setWidth(java.lang.String __width)` A width of a bar that can be defined in pixels or as percentage.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlToolBar

    public HtmlToolBar()

  Constructor to init default renderers

Method Detail

### setContentClass

    public void setContentClass(java.lang.String __contentClass)

  A CSS style is to be applied to each element of tool bar content. Use this style, for example, to setup parameters of the font. Setter for contentClass

  Parameters:
    `contentClass` - - new value

### getContentClass

    public java.lang.String getContentClass()

  A CSS style is to be applied to each element of tool bar content. Use this style, for example, to setup parameters of the font. Getter for contentClass

  Returns:
    contentClass value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  A width of a bar that can be defined in pixels or as percentage. The default value is 100%. Setter for width

  Specified by:
    `setWidth` in class `UIToolBar`
  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  A width of a bar that can be defined in pixels or as percentage. The default value is 100%. Getter for width

  Specified by:
    `getWidth` in class `UIToolBar`
  Returns:
    width value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  A height of a bar in pixels. If a height is not defined, a bar height depends of the "headerFontSize" skin parameter. Setter for height

  Specified by:
    `setHeight` in class `UIToolBar`
  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  A height of a bar in pixels. If a height is not defined, a bar height depends of the "headerFontSize" skin parameter. Getter for height

  Specified by:
    `getHeight` in class `UIToolBar`
  Returns:
    height value from local variable or value bindings

### setContentStyle

    public void setContentStyle(java.lang.String __contentStyle)

  A CSS style is to be applied to each element of tool bar content. Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### getContentStyle

    public java.lang.String getContentStyle()

  A CSS style is to be applied to each element of tool bar content. Getter for contentStyle

  Returns:
    contentStyle value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setSeparatorClass

    public void setSeparatorClass(java.lang.String __separatorClass)

  A CSS class to be applied to tool bar separators. Setter for separatorClass

  Parameters:
    `separatorClass` - - new value

### getSeparatorClass

    public java.lang.String getSeparatorClass()

  A CSS class to be applied to tool bar separators. Getter for separatorClass

  Returns:
    separatorClass value from local variable or value bindings

### setItemSeparator

    public void setItemSeparator(java.lang.String __itemSeparator)

  A separator between items on a bar. Possible values are none, line, square, disc and grid. Setter for itemSeparator

  Specified by:
    `setItemSeparator` in class `UIToolBar`
  Parameters:
    `itemSeparator` - - new value

### getItemSeparator

    public java.lang.String getItemSeparator()

  A separator between items on a bar. Possible values are none, line, square, disc and grid. Getter for itemSeparator

  Specified by:
    `getItemSeparator` in class `UIToolBar`
  Returns:
    itemSeparator value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.